Teradata Python Package System Requirements

Teradata® Python Package User Guide

brand
Teradata Vantage
prodname
Teradata Python Package
vrm_release
16.20
category
User Guide
featnum
B700-4006-098K

Required Software on Teradata Vantage

Based on the connection to Teradata Vantage, the teradataml package requires the following minimum software versions be installed on Teradata Vantage:

  • For connection to Teradata Vantage with SQL Engine only:
    • On SQL Engine:

      Teradata Database 16.20 Feature Update 1 or later

  • For connection to Teradata Vantage with SQL Engine and ML Engine:
    • On SQL Engine:

      Teradata Database 16.20 Feature Update 1 or later

    • On ML Engine:

      Teradata Machine Learning Engine 08.00.01.00-7a4b5662 or later

    • On QueryGrid:

      QGM 02.04.00.01 or later

Required Software on Client

The teradataml package also requires a minimum version of the following software be installed on the client:

  • teradatasqlalchemy 16.20
  • teradatasql 16.20
  • Operating Systems:
    • Windows OS: Windows 7
    • macOS: os x 10.9
    • Linux: Ubuntu 16.04, CentOS 7.0, RHEL 7.1, or SLES 12
    The teradataml package only supports 64-bit version of these operating systems.

Compatible Development Environment

The following third party Integrated Development Environment (IDE) and data science user interface (UI) tool is compatible with Teradata Python Package:

  • Jupyter